Short tip: Dell OpenManage Server Administrator under RHEL x86_64 – ./invcol: /lib/ld-linux.so.2: bad ELF interpreter

It is possible that the DELL OMSA inventory collector crashes on 64-bit RHEL systems with the following error message:

# /opt/dell/srvadmin/sbin/invcol
/opt/dell/srvadmin/sbin/invcol: ./invcol: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

What a pity! This issue needs to be fixed if you want to check if there are available firmware patches for the afftected systems using DELL OpenManage Essentials.

The problem is that the mentioned tool needs two additional 32-bit libraries – those dependencies are not noted in the RPM package. You will have to do this on your own:

# yum install compat-libstdc++-33-3.2.3-69.el6.i686 zlib.i686

After that the inventory collector should be working fine:

# /opt/dell/srvadmin/sbin/invcol
<?xml version="1.0" encoding="UTF-8"?>

<SVMInventory lang="en" schemaVersion="1.0" invcolVersion="7.2.0"...
...

🙂

Sharing is caring

Leave a Reply